Bug 1071780 - (CVE-2014-0106) CVE-2014-0106 sudo: certain environment variables not sanitized when env_reset is disabled
CVE-2014-0106 sudo: certain environment variables not sanitized when env_rese...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140306,repor...
: Security
Depends On: 1072210 1072211
Blocks: 1071787
  Show dependency treegraph
 
Reported: 2014-03-03 02:24 EST by Murray McAllister
Modified: 2016-03-01 04:43 EST (History)
5 users (show)

See Also:
Fixed In Version: sudo 1.8.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 12:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0266 normal SHIPPED_LIVE Moderate: sudo security update 2014-03-10 15:46:22 EDT

  None (edit)
Description Murray McAllister 2014-03-03 02:24:42 EST
It was found that, when the Sudo env_reset option was disabled (it is enabled by default), certain environment variables were not blacklisted as expected. A local user authorized to run commands using sudo could use this flaw to execute arbitrary code, allowing them to escalate their privileges.

This issue affects Sudo versions 1.6.9 to 1.8.4p5. Versions 1.8.5 and later are not affected.

Acknowledgements:

Red Hat would like to thank Todd C. Miller for reporting this issue. Upstream acknowledges Sebastien Macke as the original reporter.
Comment 5 Huzaifa S. Sidhpurwala 2014-03-04 23:32:57 EST
The "env_reset" option is enabled in the version of sudo as shipped with Red Hat Enterprise Linux 5, therefore this flaw does not affect the default configurations of the package.


Statement:

This issue did not affect the version of sudo package as shipped with Red Hat Enterprise Linux 6.
Comment 6 Huzaifa S. Sidhpurwala 2014-03-04 23:35:20 EST
This issue does not affect the version of sudo as shipped with Fedora 19 and Fedora 20.
Comment 7 Murray McAllister 2014-03-05 22:46:37 EST
Public now:

http://seclists.org/oss-sec/2014/q1/510

Upstream fix: http://www.sudo.ws/repos/sudo/rev/748cefb49422
Comment 8 Murray McAllister 2014-03-05 22:48:00 EST
External References:

http://www.sudo.ws/sudo/alerts/env_add.html
Comment 9 Martin Prpič 2014-03-06 12:02:30 EST
Note: This issue only has a security impact on configurations in which a user is permitted to run a limited number of commands with elevated privileges (for example, only commands to start/stop/restart a service). This issue has no impact on configurations in which users are permitted to run arbitrary commands with a target user's privileges.
Comment 10 errata-xmlrpc 2014-03-10 11:46:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0266 https://rhn.redhat.com/errata/RHSA-2014-0266.html

Note You need to log in before you can comment on or make changes to this bug.